#ifndef ROOTDEVVOLTAGE_H_
#define ROOTDEVVOLTAGE_H_

#include "gType.h" 
#include "GraphBase.h"
#include "string.h"
#include "my_string.h"
#include "Device.h"
#include "EpDevice.h"
#include "StaticText.h"
#include "CtlPanel1.h"

class TRootDevVoltage{
	public:
		TCtlPanel1 *aPanel;
	public:
		TStaticText Caption;
		TStaticText SText;

		u32 Color;
		u32 TextColor;
		u32 SelectedColor;
		u32 SelectedTextColor;
	
		int TabOrder;
	
		TRect Bound;	
		TRect VScrollBarBox;
	
		TRect Content;
		TRect RectPanel;
		
		TMyString Str;
		char Text[16][8];
		
		unsigned int TopIndex;
	
		int IsFastCmd;
		unsigned char Data[8];
	private:
		void SetListColWidth(int w0, int w1, int w2, int w3, int w4,int w5,int w6, int w7, int w8, int w9);
	public:
		TRootDevVoltage(){};
		TRootDevVoltage(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor){
			Init(x1, y1, aW, aH, OwnerX, OwnerY, aColor);
		}
		void Init(int x1, int y1, int aW, int aH, int OwnerX, int OwnerY, u32 aColor);
	
		void SetAndShowCaption(unsigned char aType);
		
		void RenderBackGround(void);
		void RenderBackGround(unsigned int aClr);
		void DrawSelf(void);

		void Show(void);
		void ReDraw(void);
		void FullRedraw(int Prm);
		void PanelCanvasOut();
		void DrawCaption2(void);
		void DrawItems();
		
		TGuiMsgReturn KeyIn(unsigned char aKey);
		
		void InitPanel();
		
		void SendCmd();
		
		int ExtRequst(unsigned char Prm){return 0;}
};



#endif

